<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Singularity](./bitburner.singularity.md) &gt; [quitJob](./bitburner.singularity.quitjob.md)

## Singularity.quitJob() method

Quit jobs by company.

**Signature:**

```typescript
quitJob(companyName: CompanyName): void;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

companyName


</td><td>

[CompanyName](./bitburner.companyname.md)


</td><td>

Name of the company.


</td></tr>
</tbody></table>

**Returns:**

void

## Remarks

RAM cost: 3 GB \* 16/4/1

This function quits the current work if it's from the provided company.

This function affects you and all sleeves. If a sleeve is working for this company, it will stop working and be idle.

